%define packname  hgu95av2probe 

Name:             R-%{packname}
Version:          2.0.0 
Release:          1%{?dist}
Summary:          Probe sequence data for microarrays of type hgu95av2
Summary(fr):      Données des primers de puces à ADN de type hgu92av2

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/2.1/data/annotation/html/%{packname}.html
Source0:          http://www.bioconductor.org/packages/2.1/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex 

%description
This package was automatically created by package matchprobes version 1.9.2. 
The probe sequence data was obtained from http://www.affymetrix.com. 
The file name was HG\_U95Av2\_probe\_tab.
%description -l fr
Ce fichier a été automatiquement crée par la version 1.9.2 du paquet
matchprobes; Les sequences ont été obtenues sur le site
http://www.affymetrix.com, et le fichier est nommé HG\_U95Av2\_probe\_tab

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
# Cyclic require with the package matchprobes
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#i386 arch
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/help

%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
#%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man


%changelog
* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 2.0.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.16.3-2
-Change in the license tag to fit the guidelines

* Tue Jul 17 2007 Pingou <pingoufc4@yahoo.fr> 1.16.3-1
- initial package for Fedora
